Subject: RCU stall on panda

From: [email-masked] (Tony Lindgren)
Date: Tue, 13 May 2014 08:32:20 -0700

* Alex Shi <[email-masked]> [140512 23:37]:
> On 05/13/2014 05:21 AM, Tony Lindgren wrote:
> > * Paul E. McKenney <[email-masked]> [140505 11:11]:
> >> On Mon, May 05, 2014 at 05:39:43PM +0800, Alex Shi wrote:
> >>> I keep seeing the RCU stall problem on panda board from 3.10 kernel to latest upstream kernel
> >>> and google find some one report it before: https://lkml.org/lkml/2012/9/20/519
> >>>
> >>> Is it the hardware issue or a real software problem?
> >>
> >> I cannot distinguish between hardware and software from the trace below,
> >> but given that you are also seeing a soft lockup, either way you do
> >> appear to have a real problem as opposed to an RCU CPU stall warning
> >> false positive.
> > 
> > Looks like you have CPU_IDLE enabled on panda. Hangs with current linux
> > next with CPU_IDLE are currently being discussed on the linux-omap list
> > in thread "omap4-panda-es boot issues with v3.15-rc4"
> > 
> > I've seen occasional system hangs, and I've also noticed that doing
> > ctrl-a-f h or ctrl-a-f l for sysrq backtrace can unlock the system
> > producing similar errors to the below.
> > 
> 
> Thanks a lot for the info.
> In fact, the oops keeps in upstream kernel from 3.10 to latest.

Care to test if the revert of commit cb7094 Santosh posted as
"[PATCH] ARM: OMAP4: Fix the boot regression with CPU_IDLE enabled"
solves the problem for you?

Regards,

Tony